1. Card Payments
Monexia Documentation
  • Introduction
  • Definitions
    • Data Types
    • Callbacks Overview
    • Monexia Transactions Response Codes for Payouts
    • MCCMNC Codes
    • API Credentials
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
      POST
    • Find KYC Status by SystemTraceAuditNumber
      GET
    • Account Validation
      POST
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check By Currency Code
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number Saving
  1. Card Payments

Checkout Callback Request

POST
/checkout/cart
This document describes how to handle merchant-provided URL callbacks.
Used by the system to notify the merchant about the status of a transaction asynchronously.
Response:
Return HTTP 200 OK to acknowledge that the callback has been received successfully.
Security:
Optional: validate a secret signature/hash if provided in query string or headers.

Request

Authorization
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/checkout/cart' \
--header 'Content-Type: application/json' \
--data '{
    "originatorConversationId": "string",
    "checkoutReference": "string",
    "checkoutRouteId": "string",
    "checkoutRouteChannelType": 0,
    "checkoutNotes": "string",
    "checkoutCurrencyCode": 0,
    "checkoutCurrencyName": "string",
    "checkoutDueDate": "string",
    "checkoutReturnUrl": "string",
    "checkoutCancelUrl": "string",
    "checkoutCallbackUrl": "string",
    "checkoutAccountNo": "string",
    "checkoutRequestLines": [
        {
            "sku": "string",
            "name": "string",
            "price": 0
        }
    ],
    "checkoutOutcome": {
        "Status": 0,
        "StatusDesc": "string",
        "ResultCode": "string",
        "ResultDesc": "string",
        "ThirdPartyPayload": {
            "ResponseCode": "string",
            "ResponseDesc": "string",
            "Reference": "string"
        }
    }
}'
Response Response Example
{
    "id": "cf8c67ee-e833-f111-bc6a-0e7d952d79b7",
    "originatorConversationId": "258699d5-4bcb-4a21-8e2f-ffd85b9d4930",
    "conversationId": "01000000-0032-0a00-37f6-08de960cc984",
    "checkoutId": "cf8c67ee-e833-f111-bc6a-0e7d952d79b7",
    "checkoutReference": "ORD-20260215-9e553581-47e2-46c8-a711-8513ce746224",
    "checkoutRouteId": "c51f1c8a-fe0b-f111-bc33-0e7d952d79b7",
    "checkoutRouteChannelType": 159,
    "checkoutNotes": "checkout test",
    "checkoutCurrencyCode": "404",
    "checkoutCurrencyName": "KES",
    "checkoutDueDate": "2026-04-09T00:00:00",
    "checkoutReturnUrl": "https://www.monexia.com/",
    "checkoutCancelUrl": "https://checkout.merchant.com/payment/cancel",
    "checkoutCallbackUrl": "https://bright-sparrow-36.webhook.cool",
    "checkoutAccountNo": "00771",
    "checkoutTotalAmount": 19.50,
    "checkoutFeeAmount": 0.00,
    "billTo": {
        "firstName": null,
        "lastName": null,
        "address1": null,
        "locality": null,
        "administrativeArea": null,
        "postalCode": null,
        "country": null,
        "email": null,
        "phoneNumber": null
    },
    "deviceInfo": {
        "deviceType": null,
        "ipAddress": null,
        "userAgent": null,
        "deviceId": null,
        "sessionId": null,
        "acceptHeader": null,
        "language": null,
        "timeZone": null,
        "screenHeight": 0,
        "screenWidth": 0,
        "colorDepth": 0,
        "osName": null,
        "osVersion": null,
        "appVersion": null,
        "sdkVersion": null,
        "manufacturer": null,
        "model": null
    },
    "checkoutOutcome": {
        "status": 4,
        "statusDesc": "Completed",
        "resultCode": null,
        "resultDesc": "AUTHORIZED",
        "thirdPartyPayload": {
            "responseCode": null,
            "responseDesc": "0",
            "reference": "7757214988876650504805"
        }
    },
    "checkoutRequestLines": [
        {
            "sku": "SKU247",
            "name": "Gas Cooker",
            "price": 19.50
        }
    ]
}
Modified at 2026-07-17 13:40:19
Previous
Query Checkout Request
Next
Overview
Built with